Skip to main content
POST
/
dr
/
v1
/
appointment
/
{appointment_id}
/
change-status
No-Show Appointment
curl --request POST \
  --url https://api.eka.care/dr/v1/appointment/{appointment_id}/change-status \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '{
  "status": "NS"
}'
import requests

url = "https://api.eka.care/dr/v1/appointment/{appointment_id}/change-status"

payload = { "status": "NS" }
headers = {
"auth": "<auth>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {auth: '<auth>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'NS'})
};

fetch('https://api.eka.care/dr/v1/appointment/{appointment_id}/change-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": {
    "code": "INVALID_REQUEST",
    "message": "The request is invalid or missing required parameters"
  }
}

Headers

auth
string
required
Example:

"auth"

Path Parameters

appointment_id
string
required

Query Parameters

partner_id
string
required

If set to 1 then appointment_id in path parameter should be partner_appointment_id else eka apppointment_id

Example:

"1"

Body

application/json
status
string
Example:

"NS"

Response

OK